package com.bonus.canteen.core.supply.purchase.constants;

public enum DrpNoticeSendFinalBidsQuoteEnum {
   SEND_QUOTE(1, "发送报价"),
   SEND_FINAL_BIDS(2, "发送决标");

   private final Integer key;
   private final String value;

   private DrpNoticeSendFinalBidsQuoteEnum(Integer key, String value) {
      this.key = key;
      this.value = value;
   }

   public static Integer getKey(String value) {
      DrpNoticeSendFinalBidsQuoteEnum[] enums = values();
      DrpNoticeSendFinalBidsQuoteEnum[] var2 = enums;
      int var3 = enums.length;

      for(int var4 = 0; var4 < var3; ++var4) {
         DrpNoticeSendFinalBidsQuoteEnum temp = var2[var4];
         if (temp.value().equals(value)) {
            return temp.key();
         }
      }

      return null;
   }

   public static String getValue(Integer key) {
      DrpNoticeSendFinalBidsQuoteEnum[] enums = values();
      DrpNoticeSendFinalBidsQuoteEnum[] var2 = enums;
      int var3 = enums.length;

      for(int var4 = 0; var4 < var3; ++var4) {
         DrpNoticeSendFinalBidsQuoteEnum temp = var2[var4];
         if (temp.key().equals(key)) {
            return temp.value();
         }
      }

      return null;
   }

   public Integer key() {
      return this.key;
   }

   public String value() {
      return this.value;
   }

}
